Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class ReflectiveXmlRpcHandler

    java.lang.Object
      org.apache.xmlrpc.server.ReflectiveXmlRpcHandler

All Implemented Interfaces:
  XmlRpcHandler

Direct Known Subclasses:
  ReflectiveXmlRpcMetaDataHandler

    public class ReflectiveXmlRpcHandler

extends java.lang.Object
implements XmlRpcHandler

Default implementation of `XmlRpcHandler`.

Constructor Summary
`ReflectiveXmlRpcHandler(AbstractReflectiveHandlerMapping pMapping, TypeConverterFactory pTypeConverterFactory, java.lang.Class pClass, RequestProcessorFactoryFactory.RequestProcessorFactory pFactory, java.lang.reflect.Method[] pMethods)` Creates a new instance.

Method Summary
`java.lang.Object` | `execute(XmlRpcRequest pRequest)` Performs the request and returns the result object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectiveXmlRpcHandler

    public ReflectiveXmlRpcHandler(AbstractReflectiveHandlerMapping pMapping,
                                   TypeConverterFactory pTypeConverterFactory,
                                   java.lang.Class pClass,
                                   RequestProcessorFactoryFactory.RequestProcessorFactory pFactory,
                                   java.lang.reflect.Method[] pMethods)

  Creates a new instance.

  Parameters:
    `pMapping` - The mapping, which creates this handler.
    `pClass` - The class, which has been inspected to create this handler. Typically, this will be the same as

        pInstance.getClass()

    . It is used for diagnostic messages only.
    `pMethods` - The method, which will be invoked for executing the handler.

Method Detail

### execute

    public java.lang.Object execute(XmlRpcRequest pRequest)
                             throws XmlRpcException

  Description copied from interface: `XmlRpcHandler`
  Performs the request and returns the result object.

  Specified by:
    `execute` in interface `XmlRpcHandler`
  Parameters:
    `pRequest` - The request being performed (method name and parameters.)
  Returns:
    The result object.
  Throws:
    `XmlRpcException` - Performing the request failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.